//
//  ASCustomizeMethod.h
//  AngelDoctorFrame
//
//  Created by ytao on 17/9/8.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * kCollectionData 埋点事件通知name  NSNotificationName
 */
UIKIT_EXTERN NSString *const kCollectionData;

/**
 * kCollectionTypeKey 埋点事件类型  Key
 */
UIKIT_EXTERN NSString *const kCollectionTypeKey;

/**
 * CollectionType 埋点事件类型 Value
 */
typedef NS_ENUM(NSInteger,CollectionType) {
	/** 0胎心仪搜索；1记录胎动；2开始监测；3结束监测；4上传胎心数据 5取消上传**/
	CollectionTypeSearch = 0,
	CollectionTypeBabyMove = 1,
	CollectionTypeStartRecord = 2,
	CollectionTypeOverRecord = 3,
	CollectionTypeUploadFetalData = 4,
	CollectionTypeCancelUpload = 5
};

@interface ASCustomizeMethod : NSObject

@property (nonatomic, assign) BOOL shouldChangeColor;

@property (nonatomic, strong) UIColor *mainColor;

@property (nonatomic, strong) UIColor *auxColor;

@property (nonatomic, strong) UIColor *startColor;

@property (nonatomic, strong) NSString *message;

@property (nonatomic, assign) BOOL isRemove;



/**
 *  连接上的胎心设备的Mac地址
 */
@property (nonatomic, strong) NSString *connectDeviceMac;


+ (id)shareInstance;

#pragma mark 可配置信息
/**
 *  配置曲线颜色
 *  可填nil
 *  @param mainColor  主线条颜色
 *  @param auxColor   辅线条颜色
 *  @param startColor 数值起点颜色
 */
- (void)changeMainLineColor:(UIColor *)mainColor auxlineColor:(UIColor *)auxColor startPointColor:(UIColor *)startColor;

/**
 *  曲线图是否需要需移除宫缩曲线图 （默认NO）
 *  移除宫缩曲线，传入YES；
 */
- (void)lineViewRemoveToco:(BOOL)isRemove;



@end
