//
//  ASFormView.h
//  AngelSound
//
//  Created by jumper on 16/5/12.
//  Copyright © 2016年 Jumper. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ASFormDate.h"

#import "ASFormPrivateConfig.h"

@interface ASFormView : UIView

@property (assign , nonatomic)NSInteger minute_place;//每分钟刻度

@property (assign , nonatomic)CGFloat minute_forword_place;//分钟前面的刻度，基数30

@property (nonatomic, assign) CGFloat offsetHeight; // 无宫缩曲线的高度增量值
/**
 *  建立表格
 *
 *  @param lineType 模式
 *  @param toco     是否有宫缩
 */
-(void)instanceViewType:(ASFormLineType)lineType haveToco:(BOOL)toco;

/**
 *  曲线
 *
 *  @param array     心率
 *  @param moveArray 胎动
 *  @param tocoArray 宫缩
 */
-(void)setLine:(NSMutableArray *)array andMoveArray:(NSMutableArray *)moveArray andTocoArray:(NSMutableArray *)tocoArray;


#pragma mark Player

/**
 *  播放模式下的视图(主要设置播放视图)
 *
 *  @param frame
 */
-(void)setLineFrame:(CGRect )frame;

/**
 *  设置播放模式下的启动线条是否显示,如需显示，可配置颜色（默认红色）
 *
 *  @param hidden 是否显示
 *  @param color  颜色，可为nil
 */
-(void)setPlayLine:(BOOL)hidden withColor:(UIColor *)color;

/**
 *  设置播放模式下的分钟数
 *
 *  @param minute 胎心数组
 */
-(void)setPlayMinute:(NSMutableArray *)minute;

#pragma mark Scroll view
/**
 *  设置曲线是否可以滑动
 *
 *  @param flag
 */
-(void)setScrollViewUserInterface:(BOOL)flag;

/**
 *  设置偏移量
 *
 *  @param contentOffset 偏移量
 *  @param animated
 */
-(void)setOffset:(CGPoint)contentOffset animated:(BOOL)animated;

/**
 *  设置滑动区域
 *
 *  @param size
 */
-(void)setContentSzie:(CGSize)size;

/**
 *  设置scroll delegate
 *
 *  @param anObject
 */
-(void)setDelegate:(id)anObject;

#pragma mark 可配置信息
/**
 *  配置曲线颜色
 *
    可填nil
 *  @param mainColor  主线条颜色
 *  @param auxColor   辅线条颜色
 *  @param startColor 数值起点颜色
 */
-(void)changeMainLineColor:(UIColor *)mainColor auxlineColor:(UIColor *)auxColor startPointColor:(UIColor *)startColor;



@end
