//
//  AngelDoctorBluetooth.h
//  BabyHeartFrame
//
//  Created by Michael on 17/5/19.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>
#import "AngelDoctorDevice.h"


typedef NS_ENUM(NSInteger, AngelDoctorDeviceType){
    /** 1心电仪；2胎心仪；3血糖仪；4血压仪；5体温计；6血氧仪；7体重秤 */
    AngelDoctorECGDeviceType  = 1,
    AngelDoctorFetalHeartType = 2,
    AngelDoctorBloodSugerType = 3,
    AngelDoctorBloodPressureType  = 4,
    AngelDoctorTempreatrueType  = 5,
    AngelDoctorSpo2Type = 6,
    AngelDoctorWeightType = 7
};

@protocol AngelDoctorDelegate <NSObject>
/**
 *  获取数据
 *
 */
-(void)getData:(id)model withDeviceType:(NSInteger)DeviceType withConnectType:(NSInteger)connectType withWeightProtocol:(NSInteger)protocol;


/**
 *  设备连接状态
 *
 */
-(void)connectPeripheralState:(CBPeripheralState)peripheralState;

/**
 *  监听设备列表,可用户列表刷新
 *
 */

-(void)findNewDevice:(NSMutableArray *)deviceArray;
/**
 *  监听错误信息
 *
 */
-(void)showMessageError:(NSString *)msg;
@optional

@required

@end;

@interface AngelDoctorBluetooth : NSObject

/** AngelDoctorDelegate */
@property (assign , nonatomic)id <AngelDoctorDelegate> delegate;

/**
 *  扫描外设
 *
 */
-(void)scanPeripheral;
/**
 *  停止扫描外设
 *
 */
-(void)stopScanPeripheral;
/**
 *  连接选中的蓝牙
 *  type: AngelDoctorDeviceType
 *
 */
-(void)connectDevice:(AngelDoctorDevice *)device withDeviceType:(NSInteger)type;

/**
 *  断开蓝牙连接
 */
-(void)clearUpBluetooth;

@end
