//
//  AngelDoctorBluetoothModel.h
//  BabyHeartFrame
//
//  Created by Michael on 17/5/22.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AngelDoctorBluetooth.h"
#import <CoreGraphics/CoreGraphics.h>
typedef NS_ENUM(NSInteger , ASFatWeightState){
    ASFatWeightStateTesting = 0,/** 数值测试过程中，不稳定 */
    ASFatWeightStateStable  = 1,/** 数值稳定 */
    ASFatWeightStateStateEnd     = 2,/** 体脂数据结束发送 */
};

@interface AngelDoctorBluetoothModel : NSObject

-(void)analysisData:(NSData *)characteristic withDeviceType:(NSInteger)type withConnectType:(NSInteger)connectType withWeightProtocol:(NSInteger)protocol;

/** 血氧仪 血氧饱和度 */
@property (nonatomic, strong) NSString *SPO;

/** 血氧仪 脉率 */
@property (strong , nonatomic)NSString *Plus;

/** 血氧仪 灌注指数 */
@property (strong , nonatomic)NSString *PI;

/** 体温计 体温 */
@property (strong , nonatomic)NSString *temperatureValue;

/** 体重称/体脂称 体重 */
@property (nonatomic, strong) NSString *weightValue;

/**
 *  体重秤 测量状态
 *  disConnect: 错误状态;
 *  measureResult: 得到稳定的测量结果;
 *  measuring: 测量中;
 *
 */
@property (nonatomic, strong) NSString *weightState;

/** 体脂称  脂肪率 */
@property(nonatomic,strong)NSString *BFR_String;

/** 体脂称  是否穿鞋 */
@property (nonatomic,assign)BOOL isHaveOUMU;

/** 体脂称  肌肉率 */
@property(nonatomic,strong)NSString *MuscleRate_String;

/** 体脂称  水分率 */
@property(nonatomic,strong)NSString *WaterRate_String;

/** 体脂称  骨量 */
@property(nonatomic,strong)NSString *BoneRate_String;

/** 体脂称  基础代谢 */
@property(nonatomic,strong)NSString *Calorie_String;

/** 体脂称  数据状态 */
@property (nonatomic, assign) NSInteger fatWeightState;

@end
