//
//  SearchBLEViewController.h
//  胎心监测开放平台
//
//  Created by Michael on 17/3/9.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger , BlueToothState) {
	/** 状态未知 */
	BlueToothStateNone = 0,
	/** 没有数据交互 */
	BlueToothStateNoData = 1,
	/** 连接成功*/
	BlueToothStateSuccess = 2,
	/** 连接丢失 */
	BlueToothStateFail = 3,
	/** 准备重连 */
	BlueToothStateReadyReconnect = 4,
	/** 重连 */
	BlueToothStateReconnect = 5,
};


@protocol SearchBLEViewControllerDelegate <NSObject>

/**
 *	获取当前选中的设备的Mac地址,业务处理后，BOOL返回是否过期
 *  @param macAddress 选中设备的Mac地址
 *
 */
- (BOOL)selectMacAddress:(NSString *)macAddress;

@end

@interface SearchBLEViewController : UIViewController

@property (nonatomic, weak) id <SearchBLEViewControllerDelegate> delegate;




@end
