//
//  PlayViewController.m
//  ANgelDoctorBluetoothAudioDemo
//
//  Created by jumper on 16/6/15.
//  Copyright © 2016年 Jumper. All rights reserved.
//

#import "PlayViewController.h"
/** 曲线 */
#import <AngelDoctorFrame/ASFormView.h>
#import <AngelDoctorFrame/ASFormDate.h>
#import <AngelDoctorFrame/ASPlayManager.h>
@interface PlayViewController ()<ASPlayDelegate,UIScrollViewDelegate>
{
    NSTimer *timer;
    
    int position;
    
    CGFloat offsetX;
}
@property (strong , nonatomic)ASFormView *line;

@property (strong , nonatomic)NSMutableArray *PointXY;

@property (strong , nonatomic)NSMutableArray *pointArray;

@property (strong , nonatomic)NSMutableArray *tocoArray;

@property (assign , nonatomic)BOOL isPlaying;

@property (weak, nonatomic) IBOutlet UITextField *intervalTextField;
@property (weak, nonatomic) IBOutlet UILabel *scoreResultLabel;

@end

@implementation PlayViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.pointArray = self.model.heartArray;
    self.tocoArray = self.model.tocoArray;
    
    [self initView];
    
    UITapGestureRecognizer * tap = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(tapAction)];
    [self.view addGestureRecognizer:tap];
    
}



- (void)tapAction
{
    [self.view endEditing:YES];
}

- (IBAction)startScoreAction:(id)sender
{

}

- (NSArray *)getDataByPath:(NSString *)name{
    NSArray *data = [NSArray new];
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *Path=[documentsDirectory stringByAppendingPathComponent:name];
    data = [NSArray arrayWithContentsOfFile:Path];
    return data;
}

-(void)viewWillDisappear:(BOOL)animated{
    [self stop];

}

/**
 *  初始化
 *
 */
-(void)initView{
    if (self.line) {
        [self.line removeFromSuperview];
        self.line = nil;
    }
    //横轴
    NSMutableArray *hArr = [NSMutableArray new];
    
    for (int i = 0; i <= self.pointArray.count/120+3 ; i++) {
        [hArr addObject:[NSString stringWithFormat:@"%d min",i]];
    }

    //曲线图
    self.line = [[ASFormView alloc]init];
    [self.line instanceViewType:ASFormLineTypePlayer haveToco:YES];
    //设置frame
    [self.line setLineFrame:CGRectMake(0, 0,[UIScreen mainScreen].bounds.size.width+self.pointArray.count,CGRectGetHeight(self.line.frame)+20)];
    [self.line setOffset:CGPointZero animated:YES];
    [self.line setDelegate:self];//scroll的delegate,处理图层的ScrollView
    [self.line setPlayLine:YES withColor:[UIColor blueColor]];
    [self.view addSubview:self.line];
    
    if (self.pointArray.count != 0) {
        int x = 0;
        for (int i = 0; i < self.pointArray.count; i++) {
            [self.PointXY addObject:[NSValue valueWithCGPoint:CGPointMake(1.0*i, [self.pointArray[i] intValue])]];
            x=i;
        }
        NSMutableArray *tempTimeArray = [NSMutableArray new];
        for(NSDictionary *temp in self.model.babyMoveTimeArray){
            [tempTimeArray addObject:[temp objectForKey:@"time"]];
        }
        [self.line setLine:self.PointXY andMoveArray:tempTimeArray andTocoArray:(NSMutableArray *)self.tocoArray];
    }
    [self.line setPlayMinute:hArr];
    
    [self.line setContentSzie:CGSizeMake([UIScreen mainScreen].bounds.size.width+self.pointArray.count-1, 100)];
    
    //总时长
    self.totalLable.text = [NSString stringWithFormat:@"总时长 %@",[self getTotalTime:self.pointArray.count]];
    
}



-(NSString *)getTotalTime:(NSInteger)count{
    int seconds = count/2 % 60;
    int minutes = (count/2 / 60) % 60;
    return [NSString stringWithFormat:@"%02d:%02d", minutes, seconds];
}
- (IBAction)playAction:(UIButton *)sender {
    AVAudioSession *audioSession = [AVAudioSession sharedInstance];
    [audioSession setCategory:AVAudioSessionCategoryPlayAndRecord withOptions:AVAudioSessionCategoryOptionDefaultToSpeaker error:nil];
    [audioSession overrideOutputAudioPort:AVAudioSessionPortOverrideSpeaker error:nil];
    
    ASPlayManager *playManager = [ASPlayManager sharedPlayManager];
    NSString *docDir = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0];
    NSString *recordDataDir = [docDir stringByAppendingPathComponent:@"fetal"];

    NSURL *audioURL = [NSURL fileURLWithPath:self.model.audioPath];
    [playManager createPlayerWithURL:audioURL];
    [ASPlayManager playSeekTime:0];
    //启动定时器
    timer = [NSTimer scheduledTimerWithTimeInterval:0.5 target:self selector:@selector(dothing) userInfo:nil repeats:YES];
    [[NSRunLoop currentRunLoop] addTimer:timer forMode:NSRunLoopCommonModes];
    sender.enabled = NO;
}

- (IBAction)pauseAction:(UIButton *)sender{
    if (!_isPlaying) {
        _isPlaying = YES;
        [ASPlayManager pause];
        [self.pauseButton setTitle:@"继续播放" forState:UIControlStateNormal];
        [timer setFireDate:[NSDate distantFuture]];
    }else{
        _isPlaying = NO;
        [ASPlayManager pause];
        [self.pauseButton setTitle:@"暂停" forState:UIControlStateNormal];
        [timer setFireDate:[NSDate distantPast]];
    }
}

- (IBAction)endAction:(UIButton *)sender {
    [self stop];
}

-(void)dothing{
    ASPlayManager *playManager = [ASPlayManager sharedPlayManager];
    self.currentLable.text = [NSString stringWithFormat:@"当前时长 %@ ",[self getTotalTime:[playManager currentTime]*2]];
    [self error];
    if (position < self.pointArray.count) {
        if ([self.pointArray[position]integerValue] != 0) {
            self.heartLable.text = [NSString stringWithFormat:@"%@",self.pointArray[position]];
        }
        [self.line setOffset:CGPointMake(1.0*position, 0) animated:YES];
        position++;
    }else{
        [self stop];
    }
}
//针对音频播放误差处理,让用户无感知
-(void)error{
    if([ASPlayManager sharedPlayManager].duration ==[ASPlayManager sharedPlayManager].currentTime){
        [self.line setOffset:CGPointMake(self.pointArray.count, 0) animated:NO];
        [self stop];
    }
}

-(void)stop{
    [ASPlayManager stop];
    [timer invalidate];
    timer = nil;
    [self reset];
}

-(void)reset{
    self.playButton.enabled = YES;
    self.pauseButton.titleLabel.text = @"暂停";
    self.isPlaying = NO;
    position = 0;
}

#pragma UIScrollview Delegate
-(void)scrollViewDidScroll:(UIScrollView *)scrollView{
    offsetX = scrollView.contentOffset.x;
//    position = offsetX;
}

-(void)scrollViewWillBeginDragging:(UIScrollView *)scrollView{
    if(self.playButton.enabled == NO){
        [self pauseAction:nil];
    }
  
}

-(void)scrollViewDidEndDragging:(UIScrollView *)scrollView willDecelerate:(BOOL)decelerate{
    if(self.playButton.enabled == NO){
        [self pauseAction:nil];
        [ASPlayManager playSeekTime:offsetX/2.0];
        position = offsetX;
        [self.line setOffset:CGPointMake(position, 0) animated:YES];
    }
}

#pragma init
-(NSMutableArray *)PointXY{
    if (!_PointXY) {
        _PointXY = [NSMutableArray new];
    }
    return _PointXY;
}



@end
