//
//  SelectViewController.m
//  SDKForTest
//
//  Created by Michael on 17/5/23.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import "SelectViewController.h"

#import "BLETestViewController.h"

#import <AngelDoctorFrame/AngelDoctorFrameConfig.h>

#import <AngelDoctorFrame/ASCustomizeMethod.h>

#import <AngelDoctorFrame/SearchBLEViewController.h>

#import "BabyHeartModel.h"

#import "PlayViewController.h"
/** 粉红色 */
#define kBaseColor [UIColor colorWithRed:255.0/255.f green:110.0/255.f blue:127.0/255.f alpha:1.0]

@interface SelectViewController ()<SearchBLEViewControllerDelegate>

@property (strong, nonatomic) IBOutlet UISegmentedControl *outDateSeg;

@property (strong, nonatomic) IBOutlet UISegmentedControl *lineColorSeg;

@property (nonatomic, strong) SearchBLEViewController *vc;
@end

@implementation SelectViewController

- (void)viewDidLoad {
    [super viewDidLoad];
	// 移除宫缩曲线图
	[[ASCustomizeMethod shareInstance] lineViewRemoveToco:YES];
	// 添加埋点事件监听
	[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(setCollection:) name:kCollectionData object:nil];
}


- (void)setCollection:(NSNotification *)noti{
	
	NSDictionary *info = noti.userInfo;
	NSInteger type = [[info objectForKey:kCollectionTypeKey] integerValue];
	switch (type) {
		case CollectionTypeSearch:
			NSLog(@"胎心仪搜索");
			break;
		case CollectionTypeBabyMove:
			NSLog(@"记录胎动");
			break;
		case CollectionTypeStartRecord:
			NSLog(@"开始监测");
			break;
		case CollectionTypeOverRecord:
			NSLog(@"结束监测");
			break;
		case CollectionTypeUploadFetalData:
			NSLog(@"上传胎心数据 %@",info);
			/***  广播出的胎心数据：
			 * heartArray: 胎心数组
			 * babyMoveTimeArray: 胎动时间数组
			 * tocoArray: 宫缩数组
			 * audioPath: 音频文件存储路径
			 * audioName: 音频文件名称
			 */
        {
            BabyHeartModel *model = [[BabyHeartModel alloc]init];
            model.audioPath = [info objectForKey:@"audioPath"];
            model.heartArray = [info objectForKey:@"heartArray"];
            model.tocoArray = [ info objectForKey:@"tocoArray"];
            model.babyMoveTimeArray = [info objectForKey:@"babyMoveTimeArray"];
            PlayViewController *play = [[UIStoryboard storyboardWithName:@"Main" bundle:nil] instantiateViewControllerWithIdentifier:@"play"];
            play.model = model;
            double delayTime = 1.0;
            dispatch_time_t popTime = dispatch_time(DISPATCH_TIME_NOW, (int64_t)(delayTime *NSEC_PER_SEC));
            dispatch_after(popTime, dispatch_get_main_queue(), ^{
				// 根据所需业务处理上传成功后的界面跳转
                [self.navigationController pushViewController:play animated:YES];
            });
            
        }
			break;
		case CollectionTypeCancelUpload:
			NSLog(@"取消上传");
			break;
		default:
			break;
	}
}

- (IBAction)changeLineColor:(UISegmentedControl *)sender {
	if (sender.selectedSegmentIndex == 0) {
		// 配置颜色
		[[ASCustomizeMethod shareInstance] changeMainLineColor:kBaseColor auxlineColor:kBaseColor startPointColor:kBaseColor];
	}else{
		// 配置颜色
		[[ASCustomizeMethod shareInstance] changeMainLineColor:[UIColor blueColor] auxlineColor:[UIColor blueColor] startPointColor:[UIColor blueColor]];
	}
	
}

// 获取当前选中的设备的Mac地址,业务处理后，BOOL返回是否过期
- (BOOL)selectMacAddress:(NSString *)macAddress{

	BOOL outDate = self.outDateSeg.selectedSegmentIndex;
	NSLog(@"Mac地址 %@",macAddress);
	return outDate;
}
// 胎心
- (IBAction)selectBabyHeartAction:(UIButton *)sender {
	self.vc = [[SearchBLEViewController alloc] init];
	self.vc.delegate = self;
	[self.navigationController pushViewController:self.vc animated:YES];
}

// 其他蓝牙设备
- (IBAction)selectBLEAction:(UIButton *)sender {
    [self.navigationController pushViewController:[BLETestViewController new] animated:YES];
}

@end
